#include<bits/stdc++.h>
using namespace std;
int main()
{
int a,b,c,d;
char A,B;
cin>>a>>A>>b>>B>>c;
if(A=='A')
{
if(a>=c)
{
d=c;
}
else
{
d=a;
}
}
if(A=='B')
if(b>=c)
{
d=0;
}
else
{
int q=c-a;
if(q>a)
{
d=a;
}
else
{
d=q;
}
}
cout<<d<<endl;
return 0;
}
